GoodMemGoodMem
ReferenceSdkRustTypes

MemoriesGetOptions

Rust struct goodmem::api::MemoriesGetOptions: declaration, fields or variants, and implementations.

All types

Struct MemoriesGetOptions

goodmem::api::MemoriesGetOptions

Query parameters and headers for memories.get.

pub struct MemoriesGetOptions {
    pub include_content: Option<bool>,
    pub include_processing_history: Option<bool>,
}

Fields

include_content

pub include_content: Option<bool>

Whether to include the original content in the response (defaults to false). Wire name: includeContent.

include_processing_history

pub include_processing_history: Option<bool>

Whether to include background job processing history in the response (defaults to false). Wire name: includeProcessingHistory.

Trait implementations

  • Clone (derived)
  • Debug (derived)
  • Default (derived)
  • Serialize (derived)

On this page